Subject: Bug#1312: [X2Go-Dev] Bug#1312: QT applications crash with x2go server 4.1.0.2

From: Ulrich Sibiller <[email-masked]>
Date: Mon, 22 Oct 2018 08:55:41 +0200

Can you name some problematic apps that crash with the line commented? I
have a patch that might help. I would like to test a bit.

Uli

Adrian Bickerstaffe <[email-masked]> schrieb am Mo., 22. Okt. 2018,
08:09:

> I can verify that this also occurs on my compute servers running Ubuntu
> 14.04LTS and 16.04LTS.
> Commenting the line:
>
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension BIG-REQUESTS"
> in x2goagent.options does resolve the issue, *but* there is a comment above that line:
>
> # Disable BIG-REQUESTS, nx-libs does not implement this extension correctly.
> # Leads to all sorts of weird crashes if left enabled.
>
> …which unfortunately has proven to be true for my instances. The performance and reliability of x2go has dropped substantially since commenting the line.
>
> Can we please raise the priority of this bug to restore performance?
>
> Regards, Adrian.
>
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev